Page MenuHomeFreeBSD

devel/py-python-pcre: new port.
ClosedPublic

Authored by xmj on Jan 22 2015, 9:21 AM.

Details

Reviewers
swills
koobs
Summary

devel/py-python-pcre: new port.

A Python PCRE library

WWW: https://github.com/awahlig/python-pcre

PR: 196947
DiffRev: placeholder
Submitted by: Maxim Filimonov <che@bein.link>
Approved by: koobs (mentor)

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj updated this revision to Diff 3319.Jan 22 2015, 9:21 AM
xmj retitled this revision from to devel/py-python-pcre: new port..
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: swills, koobs.
koobs requested changes to this revision.Jan 22 2015, 9:33 AM
koobs edited edge metadata.
koobs added inline comments.
devel/py-python-pcre/Makefile
9

Upstream description (setup.py) is

"Python PCRE bindings"

14

Is this also a LIB_DEPENDS, or only for headers/includes (BUILD_DEPENDS)

17

Upstream Trove Classifiers in setup.py is unclear as to whether this is 2 or 3, or 2/3 compatible. In the absence of these details, tests using Python 3.4 should confirm whether its 3 compatible. If not, set USES=python:2.7, unless it also requires the python2 symlink, in which case set USES=python:2

Bonus:

Submit upstream issue asking author to add Trove Classifiers

devel/py-python-pcre/files/patch-setup.py
8

See if you can use the following for the build_ext distutils command and the PYDISTUTILS_BUILDARGS / PYDISTUTILS_BUILD_TARGET python.mk variables:

  • --include-dirs (-I) list of directories to search for header files
  • --library-dirs (-L) directories to search for external C libraries
  • --libraries (-l) external C libraries to link with
  • --debug (-g) compile/link with debugging information
This revision now requires changes to proceed.Jan 22 2015, 9:33 AM
xmj updated this revision to Diff 3426.Jan 25 2015, 3:29 PM
xmj edited edge metadata.

CRF: Comment, LIB_DEPENDS

swills accepted this revision.Jan 26 2015, 4:11 AM
swills edited edge metadata.

Approved

xmj added a comment.Jan 26 2015, 9:01 AM

Holding off until upstream Issue 6 is fixed / closed.

devel/py-python-pcre/Makefile
17

Runs with both 2 and 3.

23

Note to self: replace with tagname once upstream issue [1] is resolved.
[1] https://github.com/awahlig/python-pcre/issues/6

devel/py-python-pcre/files/patch-setup.py
8

build_ext is run from within python, and neither adding --library-dirs nor --include-dirs changes things. (Actually, they make python setup.py error out...)

koobs accepted this revision.Jun 22 2015, 12:00 PM
koobs edited edge metadata.
This revision is now accepted and ready to land.Jun 22 2015, 12:00 PM
xmj added a comment.Jun 24 2015, 1:52 AM

Looks like we lost the files in this review. I've had my portstree resetted to scratch in between, so I'll recreate.

xmj closed this revision.Jul 2 2015, 10:50 AM

Committed.